#ifdef WIN32
#include <direct.h>
#include <windows.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <gl/gl.h>
#include <gl/glu.h>

#include "globals.h"
#include "util.h"
#include "DNA.h"
#include "World.h"

extern Settings settings;

//Globals.

Settings settings;

//General utility functions.

char* LoadGenes()
{
	FILE* f = fopen( "SceneGenes.txt", "r" );

	if ( !f ) return NULL;

	fseek( f, 0, SEEK_END );
	int size = ftell( f );
	fseek( f, 0, SEEK_SET );

	if ( !size ) return NULL;

	char* dfile = new char[size];
	for ( int a = 0 ; a < size ; a++ ) dfile[a] = fgetc( f );

	fclose( f );

	return dfile;
}

float RandFloat()
{ 
	 return rand() / ( 1.0f * RAND_MAX );
}

int RandInt( int foo )
{
	return rand() % ( foo + 1 );
}

void SetColor( Color c )
{
	switch ( c )
	{
	case Black:
		glColor3f( 0.0, 0.0, 0.0 );
		break;
	case Blue:
		glColor3f( 0.0, 0.0, 1.0 );
		break;
	case Cyan:
		glColor3f( 0.0, 1.0, 1.0 );
		break;
	case Green:
		glColor3f( 0.0, 1.0, 0.0 );
		break;
	case Grey:
		glColor3f( 0.5, 0.5, 0.5 );
		break;
	case Magenta:
		glColor3f( 1.0, 0.0, 1.0 );
		break;
	case Red:
		glColor3f( 1.0, 0.0, 0.0 );
		break;
	case Yellow:
		glColor3f( 1.0, 1.0, 0.0 );
		break;
	}
}

